Page MenuHomePhabricator

[Story] http://wikiba.se/ontology should lead to documentation for the ontology
Closed, ResolvedPublic1 Story Points

Description

Wikidata RDF export uses wikiba.se/ontology as ontology base. However, http://wikiba.se/ontology does not lead to any page. It should lead to OWL description of the ontology or at least to some page that describes it.

Event Timeline

Smalyshev raised the priority of this task from to Normal.
Smalyshev updated the task description. (Show Details)
Smalyshev added a project: Wikidata.
Smalyshev added a subscriber: Smalyshev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 5:03 AM
JanZerebecki renamed this task from Create a real URL for wikiba.se/ontology to [Story] http://wikiba.se/ontology should lead to documentation for the ontology.Sep 10 2015, 5:29 PM
JanZerebecki set Security to None.
JanZerebecki moved this task from incoming to consider for next sprint on the Wikidata board.
Restricted Application added a project: Discovery. · View Herald TranscriptSep 10 2015, 5:47 PM
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Sep 10 2015, 6:18 PM
Smalyshev edited a custom field.Sep 11 2015, 7:54 PM

Wikiba.se is built on sculpin which I have no idea how to make do redirects. Does it actually run sculpin or sculpin just being used as page generator and there's some real webserver we could use to make redirects?

It is currently on some mass web hosting service. Someone told me its static, i.e. generated output only. See also T99531 and T99530. So if you want it fast talk to @JeroenDeDauw.

Currently the webserver only has the Sculpin output. PHP is installed on it, so we can make use of PHP if we want.

This ticket and https://github.com/wmde/Wikiba.se/issues/32 mention the need for redirects. It is not clear to me where to these redirects need to point. Is the OWL description of the ontology already available somewhere?

ksmith moved this task from WDQS to On Sprint Board on the Discovery board.Sep 24 2015, 5:10 PM

@JeroenDeDauw right now the ontology lives at docs/ontology.owl in Wikibase repo. We need to figure out two things:

  1. How to expose it to the outside as an URL
  2. How to make versions of it, so we could have ontology-1.0.owl, ontology-1.1.owl etc.

I think probably the best way to do it is this:

  1. Put current ontology under http://wikiba.se/ontology/ontology-1.0.owl as static file (just copy it)
  2. Make a 302 redirect from http://wikiba.se/ontology to http://wikiba.se/ontology/ontology-1.0.owl (important - not 301 since it will always point to the latest one)
  3. Manually add new versions each time we change something in the ontology and move redirects.

This involves some manual work, and I'm not sure how to make redirects work in Sculpin, so if you have a better idea I'd be glad to hear.

Sounds like a reasonable approach to me.

AFAIK you cannot do 302 redirects with Sculpin. Then again, Sculpin does not prevent you from doing redirects on your own, so we could create some trivial PHP script that does it.

Bene added a comment.Sep 25 2015, 7:59 PM

Perhaps a simple server config file (like .htaccess) should work. Not sure if that is supported by the hosting provider though.

.htaccess would definitely work but I don't know how this is hosted and where to put it. @JeroenDeDauw, any insights on this?

Redirects appear to be working as intended. owl file is broken, fix in https://github.com/wmde/Wikiba.se/pull/39

Smalyshev closed this task as Resolved.Oct 6 2015, 5:35 PM
Smalyshev claimed this task.
Smalyshev moved this task from Backlog to Done on the Discovery-Wikidata-Query-Service-Sprint board.